<cffunction name="onError" output="true">
   <cfargument name="exception" required="true"/>
   <cfargument name="eventName" required="true"/>
   
   <!--- We don't want to deal with the cflocation as an error, so bail --->
      <cfif arguments.Exception.RootCause.Type IS "coldfusion.runtime.AbortException">
         <cfreturn />
      </cfif>
   <!--- Lets deal with events next. --->
      <!--- We don't want to deal with the onSessionEnd as an error, so bail --->
      <cfif trim(arguments.eventName) IS "onSessionEnd">
         <cfreturn />
      </cfif>
      
      <!--- From this point onward, we want to log the errors --->
      <cflog file="#this.name#" type="error" text="Event name: #arguments.eventName#"/>
      <cflog file="#this.name#" type="error" text="Message: #arguments.exception.message#"/>

      <!--- Log as Information and Bail --->
      <cfif trim(arguments.eventName) IS "onApplicationEnd">
         <cflog file="#this.name#" type="Information" text="Application #this.name# ended."/>
         <cfreturn />
      </cfif>
   <!--- Now, let's deal with explicit types we want to handle... --->
      <!--- If we get here, we have something to handle --->
      <cfif isDebugMode() IS true>
         <!--- print the error to the screen --->
         <cfoutput>
            <h2>An unexpected error has occurred.</h2>
            <p>Error event: #arguments.eventName#</p>
            <p>Error details:</p>
            <cfdump var="#arguments.exception#"/>
         </cfoutput>
      <cfelse>
         <!--- use the nice error handler --->
         <cfinclude template="/errortemplate.htm"/>
      </cfif>
</cffunction>