<cfset errorText = "" />
<!--- firstName, r, 50, first name --->
<cfif Not Len(form.firstName)>
	<cfset errorText = ListAppend(errorText, "Please enter your first name")>
<cfelseif Len(form.firstName) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your first name")>
</cfif>
<!--- lastName, r, 50, last name --->
<cfif Not Len(form.lastName)>
	<cfset errorText = ListAppend(errorText, "Please enter your last name")>
<cfelseif Len(form.lastName) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your last name")>
</cfif>
<!--- churchorg, r, 100, church name --->
<cfif Not Len(form.churchorg)>
	<cfset errorText = ListAppend(errorText, "Please enter your church name")>
<cfelseif Len(form.churchorg) GT 100>
	<cfset errorText = ListAppend(errorText, "Please only use 100 characters to enter your church name")>	
</cfif>
<!--- address1 address2, r, street address --->
<cfif Not Len("#form.address1##form.address2#")>
	<cfset errorText = ListAppend(errorText, "Please enter your street address")>
</cfif>
<!--- address1, 50, first line of your address --->
<cfif Len(form.address1) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter the first line of your address")>	
</cfif>
<!--- address2, 50, second line of your address --->
<cfif Len(form.address2) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter the first line of your address")>	
</cfif>
<!--- city, r, 50, city --->
<cfif Not Len(form.city)>
	<cfset errorText = ListAppend(errorText, "Please enter your city")>
<cfelseif Len(form.city) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your city")>
</cfif>
<!--- state, r, 5, state --->
<cfif Not Len(form.state)>
	<cfset errorText = ListAppend(errorText, "Please enter your state")>
<cfelseif Len(form.state) GT 5>
	<cfset errorText = ListAppend(errorText, "Please only use 5 characters to enter your state")>	
</cfif>
<!--- zip, r, 10, zip code --->
<cfif Not Len(form.zip)>
	<cfset errorText = ListAppend(errorText, "Please enter your zip code")>
<cfelseif Len(form.zip) GT 10>
	<cfset errorText = ListAppend(errorText, "Please only use 10 characters to enter your zip")>		
</cfif>
<!--- phone, r, 20, phone number --->
<cfif Not Len(form.phone)>
	<cfset errorText = ListAppend(errorText, "Please enter your phone number")>
<cfelseif Len(form.phone) GT 20>
	<cfset errorText = ListAppend(errorText, "Please only use 20 characters to enter your phone")>		
</cfif>
<!--- fax, 20, fax number --->
<cfif Len(form.fax) GT 20>
	<cfset errorText = ListAppend(errorText, "Please only use 20 characters to enter your fax")>		
</cfif>	
<!--- email, r, 100, email address --->
<cfif Not Len(form.email)>
	<cfset errorText = ListAppend(errorText, "Please enter your email address")>
<cfelseif Len(form.email) GT 100>
	<cfset errorText = ListAppend(errorText, "Please only use 100 characters to enter your email")>		
</cfif>
<!---password stuff **complicated** --->
<cfif Not IsDefined("form.userID")>
	<cfif Not Len(form.password) Or Not Len(form.password2)>
		<cfset errorText = ListAppend(errorText, "Please enter your password and confirmation password")>
	</cfif>
	<cfif form.password NEQ form.password2>
		<cfset errorText = ListAppend(errorText, "Your password and confirmation password did not match")>
	</cfif>
</cfif>
<cfif Len(form.password) GT 10>
	<cfset errorText = ListAppend(errorText, "Please only use 10 characters to enter your password")>		
</cfif>	

<cffunction name="validateLength" output="false" access="private" returntype="boolean">
	<cfargument name="niceName" type="string" required="true"/>
	<cfargument name="valueToTest" type="string" required="true"/>
	<cfargument name="maxLength" type="numeric" required="true"/>
	
	<cfif len( trim( arguments.valueToTest ) ) GT arguments.maxLength>
		<cfset addError( "Please use a max of #arguments.maxLength# characters to enter your #arguments.niceName#") />
		<cfreturn false />
	</cfif>
	<cfreturn true />		
</cffunction>

<cffunction name="validateRequired" output="false" access="private" returntype="boolean">
	<cfargument name="niceName" type="string" required="true"/>
	<cfargument name="valueToTest" type="string" required="true"/>
	<cfif len( trim( arguments.valueToTest ) ) IS 0>
		<cfset addError( "Please enter your #arguments.niceName#") />
		<cfreturn false />
	</cfif>
	<cfreturn true />
</cffunction>
	
<cffunction name="addError" output="false" access="private" returntype="void">
	<cfargument name="errorMsg" type="string" required="true"/>
	<cfset variables.errorText = ListAppend( variables.errorText, arguments.errorMsg ) />	
</cffunction>
