<cfset variables.errorText = "" />
<!--- firstName, r, 50, first name --->
<cfset validateRequired("first name", form.FirstName ) />
<cfset validateLength( "first name", form.FirstName, 50 ) />
<!--- lastName, r, 50, last name --->
<cfset validateRequired("last name", form.LastName ) />
<cfset validateLength( "last name", form.LastName, 50 ) />
<!--- churchorg, r, 100, church name --->
<cfset validateRequired("church name", form.ChurchID ) />
<cfset validateLength( "church name", form.ChurchID, 100 ) />
<!--- address1 address2, r, street address --->
<cfset validateRequired("street address", form.Address1 & form.Address2 ) />
<!--- address1, 50, first line of your address --->
<cfset validateLength( "first line of your address", form.Address1, 50 ) />
<!--- address2, 50, second line of your address --->
<cfset validateLength( "second line of your address", form.Address2, 50 ) />
<!--- city, r, 50, city --->
<cfset validateRequired("city", form.City ) />
<cfset validateLength( "city", form.City, 50 ) />
<!--- state, r, 5, state --->
<cfset validateRequired("state", form.State ) />
<cfset validateLength( "state", form.State, 5 ) />
<!--- zip, r, 10, zip code --->
<cfset validateRequired("zip code", form.ZipCode ) />
<cfset validateLength( "zip code", form.ZipCode, 10 ) />
<!--- phone, r, 20, phone number --->
<cfset validateRequired("phone number", form.Phone ) />
<cfset validateLength( "phone number", form.Phone, 20 ) />
<!--- fax, 20, fax number --->
<cfset validateLength( "fax number", form.Fax, 20 ) />
<!--- email, r, 100, email address --->
<cfset validateRequired("email address", form.Email ) />
<cfset validateLength( "email address", form.Email, 100 ) />
<!---password stuff **complicated** --->
<cfset validateRequired("password", form.Password ) />
<cfset validateRequired("password", form.Password2 ) />
<cfset validateLength( "password", form.Password, 20 ) />
<cfif form.Password IS NOT getPassword2>
	<cfset addError( "Your password and confirmation password did not match" ) />
</cfif>

		
<cffunction name="validateLength" output="false" access="private" returntype="boolean">
	<cfargument name="niceName" type="string" required="true"/>
	<cfargument name="valueToTest" type="string" required="true"/>
	<cfargument name="maxLength" type="numeric" required="true"/>
	
	<cfif len( trim( arguments.valueToTest ) ) GT arguments.maxLength>
		<cfset addError( "Please use a max of #arguments.maxLength# characters to enter your #arguments.niceName#") />
		<cfreturn false />
	</cfif>
	<cfreturn true />		
</cffunction>

<cffunction name="validateRequired" output="false" access="private" returntype="boolean">
	<cfargument name="niceName" type="string" required="true"/>
	<cfargument name="valueToTest" type="string" required="true"/>
	<cfif len( trim( arguments.valueToTest ) ) IS 0>
		<cfset addError( "Please enter your #arguments.niceName#") />
		<cfreturn false />
	</cfif>
	<cfreturn true />
</cffunction>
	
<cffunction name="addError" output="false" access="private" returntype="void">
	<cfargument name="errorMsg" type="string" required="true"/>
	<cfset variables.errorText = ListAppend( variables.errorText, arguments.errorMsg ) />	
</cffunction>

	